#include <STC8G.h>  
#include "UART1_UART2.h"

//========================================================================
// 函数: void main(void)
// 描述: 主函数
// 参数: none.
// 返回: none.
// 版本: VER1.0
// 日期: 2018-4-2
// 备注: 
//========================================================================
void main(void)
{
	u8	i;

	EAXRAM();

	UART1_config(115200UL, 1, 0);	// brt: 通信波特率,  timer=2: 波特率使用定时器2, 其它值: 使用Timer1做波特率. io=0: 串口1切换到P3.0 P3.1,  =1: 切换到P3.6 P3.7, =2: 切换到P1.6 P1.7,  =3: 切换到P4.3 P4.4.
	UART2_config( 57600UL, 2, 0);	// brt: 通信波特率,  timer=任意值: 波特率使用定时器2. io=0: 串口2切换到P1.0 P1.1, =1: 切换到P4.6 P4.7.

	

	for(i=0; i<RX1_Length; i++)		RX1_Buffer[i] = 0;
	B_TX1_Busy  = 0;
	TX1_read    = 0;
	RX1_write   = 0;

	for(i=0; i<RX2_Length; i++)		RX2_Buffer[i] = 0;
	B_TX2_Busy  = 0;
	TX2_read    = 0;
	RX2_write   = 0;
	EA = 1;
	UART1_PrintString("STC8G系列 UART1 Test!\r\n");
	UART2_PrintString("STC8G系列 UART2 Test!\r\n");


	while (1)
	{

		if((TX1_read != RX1_write) && !B_TX1_Busy)	//收到过数据, 并且发送空闲
		{
			B_TX1_Busy = 1;		//标志发送忙
			SBUF = RX1_Buffer[TX1_read];	//发一个字节
			if(++TX1_read >= RX1_Length)	TX1_read = 0;	//避免溢出处理
		}

		if((TX2_read != RX2_write) && !B_TX2_Busy)	//收到过数据, 并且发送空闲
		{
			B_TX2_Busy = 1;		//标志发送忙
			S2BUF = RX2_Buffer[TX2_read];	//发一个字节
			if(++TX2_read >= RX2_Length)	TX2_read = 0;	//避免溢出处理
		}
	}
}
